Bug 232223 - [PATCH] net/ipdecap: update to 0.7.2 - fix OpenSSL build
Summary: [PATCH] net/ipdecap: update to 0.7.2 - fix OpenSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-13 11:28 UTC by loic-freebsd
Modified: 2018-10-21 08:00 UTC (History)
0 users

See Also:


Attachments
patch for net/ipdecap-0.7.2 update (4.10 KB, patch)
2018-10-13 11:28 UTC, loic-freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description loic-freebsd 2018-10-13 11:28:32 UTC
Created attachment 198098 [details]
patch for net/ipdecap-0.7.2 update

Hello,

Update to the latest upstream version 0.7.2 (I am the original author and port maintainer).

This will also fix the current build failure of the current port version 0.7.1 https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=232144

I had to add some patches for that, but I'll fix that upstream for the next release.

Testing:
* portlint -A
* poudriere with 11.2-RELEASE/10.4-RELEASE

Patch generated with diff -ruN
Comment 1 commit-hook freebsd_committer 2018-10-14 19:00:24 UTC
A commit references this bug:

Author: swills
Date: Sun Oct 14 19:00:05 UTC 2018
New revision: 482107
URL: https://svnweb.freebsd.org/changeset/ports/482107

Log:
  net/ipdecap: update to 0.7.2

  While here, fix OpenSSL build

  PR:		232223
  Submitted by:	loic-freebsd@loicp.eu (maintainer)

Changes:
  head/net/ipdecap/Makefile
  head/net/ipdecap/distinfo
  head/net/ipdecap/files/
  head/net/ipdecap/files/patch-src_esp.c
  head/net/ipdecap/files/patch-src_esp.h
  head/net/ipdecap/files/patch-src_ipdecap.c
  head/net/ipdecap/files/patch-src_utils.c
Comment 2 Steve Wills freebsd_committer 2018-10-14 19:00:59 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2018-10-21 08:00:01 UTC
A commit references this bug:

Author: antoine
Date: Sun Oct 21 07:59:39 UTC 2018
New revision: 482649
URL: https://svnweb.freebsd.org/changeset/ports/482649

Log:
  MFH: r482107

  net/ipdecap: update to 0.7.2

  While here, fix OpenSSL build

  PR:		232223
  Submitted by:	loic-freebsd@loicp.eu (maintainer)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/net/ipdecap/Makefile
  branches/2018Q4/net/ipdecap/distinfo
  branches/2018Q4/net/ipdecap/files/